net.i2p.router.transport.udp

## Class UDPPacketReader.RelayRequestReader

- java.lang.Object
- - net.i2p.router.transport.udp.UDPPacketReader.RelayRequestReader

Enclosing class:
  UDPPacketReader

    public class UDPPacketReader.RelayRequestReader
    extends Object

Help read the RelayRequest payload

### Constructor Summary

Constructors
Constructor and Description
`UDPPacketReader.RelayRequestReader()`

### Method Summary

Methods
`void` `readAliceIntroKey(byte[] target, int targetOffset)`
`int` `readChallengeSize()` unused
`void` `readChallengeSize(byte[] target, int targetOffset)` unused
`void` `readIP(byte[] target, int targetOffset)` what IP Alice is reachable on
`int` `readIPSize()`
`long` `readNonce()`
`int` `readPort()`
`long` `readTag()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UDPPacketReader.RelayRequestReader

    public UDPPacketReader.RelayRequestReader()

### Method Detail

#### readTag

    public long readTag()

#### readIPSize

    public int readIPSize()

#### readIP

    public void readIP(byte[] target,
              int targetOffset)

what IP Alice is reachable on

#### readPort

    public int readPort()

#### readChallengeSize

    public int readChallengeSize()

unused

#### readChallengeSize

    public void readChallengeSize(byte[] target,
                         int targetOffset)

unused

#### readAliceIntroKey

    public void readAliceIntroKey(byte[] target,
                         int targetOffset)

#### readNonce

    public long readNonce()